[in progress] OpenGL 3 Support (list of app titles and their status inside)

Discussion in 'Parallels Desktop for Mac Feature Suggestions' started by Docent, Apr 27, 2017.

Tags:
  1. JunjiT

    JunjiT Bit Poster

    Messages:
    1
    Insta360 Studio requires openGL 3.3 with the framebuffer object extensions.
     
  2. LutherB

    LutherB Bit Poster

    Messages:
    26
    Hi - I am a user of PTC Creo 6.0, which worked without a problem on Parallels 15. My Macs are a 2019 16" (maxed out) and a late 2019 Mac Pro (Vega II duo, 16 core, 96G ram). Both machines display the same issues in Creo: when preselecting geometry the geometry remains highlighted even after the cursor moves off of the geometry. This behavior doesn't happen when natively booting into Windows. My guess is that this is due to the new implementation of OpenGL 3.3, but I'm open to suggestions. Also hoping there's a fix for this relatively quickly.
     
  3. Manuel3D

    Manuel3D

    Messages:
    2
    Hi Dimitry, from version CYPE 2021.b (coming soon in about two weeks) and onwards several CYPE products should work now with Parallels but we have still several rendering artifacts that doesn't occur on native Windows neither NVIDIA nor AMD or Intel cards. CYPE products adhere to OpenGL Core Profile 3.3 strictly. We've found workarounds for problems with context initialization and ARB_COPY_BUFFER extension.

    Please, contact with me if interested in improving support of CYPE products in Parallels.
     
    FernandoL2 likes this.
  4. Manuel3D

    Manuel3D

    Messages:
    2
    Please, upgrade to 2021.b when available (two weeks or so).
     
    FernandoL2 likes this.
  5. giacomol1

    giacomol1 Bit Poster

    Messages:
    2
    Hi, as other people in this same forum I need to use at 110% openGL for specific software. Acca Edificius it's a Italian BIM very popular here and need good hardware to works well. In Parallels, the "info" system of that software report the "power" of every single component. The GPU power shown it's 0.0 and amount of VRAM unknown also if I setup 2GB of VRAM in the Machine settings. Performance are not bad but not so well. Trying to use bootcamp the render performance are 10 times better. Any solutions?

    Thanks
     

    Attached Files:

  6. AlexanderS31

    AlexanderS31 Bit Poster

    Messages:
    1
    Please add support openGL The Foundry Katana!
     
  7. PaulC20

    PaulC20 Bit Poster

    Messages:
    2
    OpenGL 3.0 or higher is required. The video drivers on this system do not support OpenGL 3.0.

    This may be fixable by upgrading your drivers, not using a remote desktop solution, or upgrading your video card.

    failed to create open gl context
     
  8. YourN

    YourN Bit Poster

    Messages:
    1
    Hello,

    ArnaudB3,

    I also use Winner Design 12 with II 16. With the new version of Winner Design 12, I can not make good perspective. Did you also have the same problem.

    Regards,
    Mike
     
  9. MatthewH12

    MatthewH12

    Messages:
    1
    Freeform viewer, getting error about opengl ogls shading. Using openGL 2.1 and 3.0 or later is needed. Parallels 15.1.4 and Catalina osx. 10.15.7. Is there a way to turn on 3D, advanced for Windows 10 ver 1809 pvm I am using.
     
  10. AnjumM

    AnjumM

    Messages:
    1
    Cyclone Register 360 from Leica does not work in Parallel software
     
  11. Fonsecae

    Fonsecae Bit Poster

    Messages:
    3
    The game Battle Brothers heeds OpenGL 3.3 and does not work correctly with Parallels 16 on Mac BigSur
     
  12. TimG11

    TimG11 Bit Poster

    Messages:
    1
    Hi,

    I need Open GL Support for the Programm: Iboview (http://www.iboview.org) it needs OpenGL 3.0 ES, or better OpenGL 4.0. Otherwise IboView will not run.


    Is there a way to fix this?

    Best Regards
     
  13. JaneK

    JaneK

    Messages:
    2
    Blender in Linux Please~~!!
     
  14. javfa

    javfa

    Messages:
    2
    Agreed
     
  15. RosaZ

    RosaZ Bit Poster

    Messages:
    1
    I have installed Parallels desktop 16 for Mac Pro (M1 Chip) and when trying to run CTvox on Windows 10, I receive an error that it requires support for OpenGL 3.2 or higher. Would I be able to work around it?
     
  16. WolfgangL6

    WolfgangL6 Bit Poster

    Messages:
    2
    I need OpenGL 3.3 for the unrestricted use of

    Vasco da Gama 14 (14.02)
    www.motionstudios.de
    The developer of this application answered with the the following statement:
    "Paralles cannot handle OpenGL 3.3 correctly. So far, I am also not aware that Parallels works with VdG14 without any problems. If you have graphics problems, you should write to Parallels support, they may be able to fix the problem in your software."​
     
  17. WolfgangL6

    WolfgangL6 Bit Poster

    Messages:
    2
  18. AlanM17

    AlanM17 Bit Poster

    Messages:
    2
    I have the same problem as Wolfgang, and I have updated Mac OS, updated Windows 10 OS, and updated Parallels. My primary purpose in considering Parallels was for the ability to use modeling and CAD softwares, so if this is a problem I probably won't purchase Parallels after the trial. Will keep trying to resolve, however it looks like your developers are either working in a test environment, or not being honest with users on this string.
    upload_2021-4-13_17-57-3.png
     
  19. GustavoN1

    GustavoN1 Bit Poster

    Messages:
    14
    Can't you just do like qemu-virgl? Essentially have a driver that passes all of the GL/GLES stuff to the host?
     
  20. HenryM8

    HenryM8

    Messages:
    1
    Many people are purchasing a game called Doorkickers 2 that requires minimum OpenGL 3.1, but cannot play it thanks to support not working for it. The game's forums are frequently posted with questions of how to get the game working with Parallels but the devs have no answers.

    Could you guys add this support?
     

Share This Page